%% Glavni fajl za promjenu otpornosti dalekovoda i simulaciju sklopnog prenapona

% Priprema okruženja

clear variables
close all
clc

% Inicijalizacija

Base_Resistance = 0.01273 ;
Scaling_Factor = 1 : 5 ; 
Resistance_Vector = Scaling_Factor*Base_Resistance ;

% Glavna petlja

for i = 1 : length(Resistance_Vector)
    
   Resistance = Resistance_Vector(i) ; 
   Output = sim('zadatak_7_2_model.slx') ; 
   Time = Output.Voltage(:,1) ; 
   Voltage = Output.Voltage(:,2) ;  
   
   if i == 1
       
       figure
       plot(Time,Voltage,'LineWidth',1.5)
       hold on
       
   else
       
       plot(Time,Voltage,'LineWidth',1.5)
       
   end
    
end

grid on 
box on
xlabel('Vrijeme [s]')
ylabel('Napon [r.j.]')
legend('1','2','3','4','5','Location','Best')